## Class TMysqlCommandBuilder

Description

TMysqlCommandBuilder implements default TDbCommandBuilder

- since: 3.1
- version: $Id: TDbCommandBuilder.php 1863 2007-04-12 12:43:49Z wei $
- author: Wei Zhuo <weizho[at]gmail[dot]com>

Located in /Data/Common/Mysql/TMysqlCommandBuilder.php (line 23)

    TComponent
       |
       --TDbCommandBuilder
          |
          --TMysqlCommandBuilder

Methods

#### Inherited Methods

Inherited From TDbCommandBuilder

> TDbCommandBuilder::__construct()
> TDbCommandBuilder::applyCriterias()
> TDbCommandBuilder::applyLimitOffset()
> TDbCommandBuilder::applyOrdering()
> TDbCommandBuilder::bindArrayValues()
> TDbCommandBuilder::bindColumnValues()
> TDbCommandBuilder::createCommand()
> TDbCommandBuilder::createCountCommand()
> TDbCommandBuilder::createDeleteCommand()
> TDbCommandBuilder::createFindCommand()
> TDbCommandBuilder::createInsertCommand()
> TDbCommandBuilder::createUpdateCommand()
> TDbCommandBuilder::getColumnBindings()
> TDbCommandBuilder::getDbConnection()
> TDbCommandBuilder::getInsertFieldBindings()
> TDbCommandBuilder::getLastInsertID()
> TDbCommandBuilder::getPdoType()
> TDbCommandBuilder::getSearchCondition()
> TDbCommandBuilder::getSearchExpression()
> TDbCommandBuilder::getTableInfo()
> TDbCommandBuilder::hasIntegerKey()
> TDbCommandBuilder::setDbConnection()
> TDbCommandBuilder::setTableInfo()

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:35:40 -0400 by phpDocumentor 1.3.0RC4